<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::middleware('guest')->group(function () {
    Route::get('login', [\App\Http\Controllers\AuthController::class, 'login'])->name('login');
    Route::middleware(['throttle:login'])->post('login', [\App\Http\Controllers\AuthController::class, 'authorization'])->name('authorization');
});
Route::middleware(['auth', 'verified'])->group(function () {
    Route::post('logout', [\App\Http\Controllers\AuthController::class, 'logout'])->name('logout');
    Route::get('/', [\App\Http\Controllers\Private\DashboardController::class, 'index'])->name('home');
    Route::prefix('profile')->as('profile.')
        ->group(function () {
            Route::get('/', [\App\Http\Controllers\Private\ProfileController::class, 'profile'])->name('edit');
            Route::get('settings', [\App\Http\Controllers\Private\ProfileController::class, 'settings'])->name('settings');
        });
});
